CREATE TABLE ap_hold_codes_ (
    HOLD_LOOKUP_CODE           VARCHAR2(100) ,
    HOLD_TYPE                  VARCHAR2(100) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    USER_RELEASEABLE_FLAG      VARCHAR2(4)   ,
    USER_UPDATEABLE_FLAG       VARCHAR2(4)   ,
    INACTIVE_DATE              DATE          ,
    POSTABLE_FLAG              VARCHAR2(4)   ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256) ,
    EXTERNAL_DESCRIPTION       VARCHAR2(320) ,
    HOLD_INSTRUCTION           VARCHAR2(4000),
    WAIT_BEFORE_NOTIFY_DAYS    NUMBER        ,
    REMINDER_DAYS              NUMBER        ,
    INITIATE_WORKFLOW_FLAG     VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    AUDIT_ACTION_TYPE_         VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_      VARCHAR2(4000),
    AUDIT_IMPERSONATOR_        VARCHAR2(256) ,
    HOLD_LOOKUP_CODE           VARCHAR2(100) ,
    HOLD_TYPE                  VARCHAR2(100) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    USER_RELEASEABLE_FLAG      VARCHAR2(4)   ,
    USER_UPDATEABLE_FLAG       VARCHAR2(4)   ,
    INACTIVE_DATE              DATE          ,
    POSTABLE_FLAG              VARCHAR2(4)   ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256) ,
    EXTERNAL_DESCRIPTION       VARCHAR2(320) ,
    HOLD_INSTRUCTION           VARCHAR2(4000),
    WAIT_BEFORE_NOTIFY_DAYS    NUMBER        ,
    REMINDER_DAYS              NUMBER        ,
    INITIATE_WORKFLOW_FLAG     VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    AUDIT_ACTION_TYPE_         VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_      VARCHAR2(4000),
    AUDIT_IMPERSONATOR_        VARCHAR2(256) ,
    CONSTRAINT pk_ap_hold_codes_ PRIMARY KEY (HOLD_LOOKUP_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY, HOLD_LOOKUP_CODE, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
